Overview
POST
/account/contactscontactsAdd a contact method (unverified). First of a kind becomes primary.
Create a record in contacts.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- type"email" | "phone"
- valuestring
Example
{
"type": "email",
"value": "string"
}Responses
201
Contact created
- idstring
- type"email" | "phone"
- valuestring
- verifiedboolean
- isPrimaryboolean
- createdAtoptionalstring
Example
{
"id": "string",
"type": "email",
"value": "string",
"verified": true,
"isPrimary": true,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/account/contacts" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"type": "email",
"value": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/account/contacts", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"type\": \"email\",\n \"value\": \"string\"\n}",
});
const data = await res.json();